CDSETOOL(1)

NAME
cdsetool - Tools & CLI for interacting with CDSE product APIs

DESCRIPTION

    Usage: cdsetool [OPTIONS] COMMAND [ARGS]...

Options:

--install-completion [bash|zsh|fish|powershell|pwsh]
    Install completion for the specified shell. [default: None]

--show-completion    [bash|zsh|fish|powershell|pwsh]
    Show completion for the specified shell, to copy it or customize the installation.

--help
    Show this message and exit.

Commands:

download
    Download all features matching the search terms

query
    Query data

Download command

    Usage: cdsetool download [OPTIONS] COLLECTION PATH

Download all features matching the search terms

Arguments:

collection TEXT
    [default: None] [required]

path       TEXT
    [default: None] [required]

Options:

--concurrency INTEGER
    Number of concurrent connections [default: 1]

--overwrite-existing --no-overwrite-existing
    Overwrite already downloaded files [default: no-overwrite-existing]

--search-term TEXT
    Search by term=value pairs. Pass multiple times for multiple search terms [default: None]

--help
    Show this message and exit.

Query command

    Usage: cdsetool query [OPTIONS] COMMAND [ARGS]...

Options:

--help
    Show this message and exit.

Commands:

search
    Search for features matching the search terms

search-terms
    List the available search terms for a collection

SEE ALSO
Homepage: https://github.com/CDSETool/CDSETool